Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1024 (closed defect: fixed)

Opened 10 years ago

Last modified 10 years ago

ArraySeq blocks in foreach

Reported by: keinfarbton Assigned to: larsivi
Priority: critical Milestone: 0.99.7
Component: Tango Version: 0.99.5 Jascha
Keywords: dmd vtable external Cc:

Description

import tango.util.collection.ArraySeq;
import tango.util.collection.model.Seq;
extern(C) int printf(char*,...);

Seq!(Object) seq; // this causes the problem

void main(){
    auto alist = new ArraySeq!(Object);
    alist.append( new Object );
    foreach( el; alist ){
        printf( "loop\n" );
    }
    printf( "ready\n" );
}

When I run this, it block without any output.

Change History

04/08/08 06:43:03 changed by keinfarbton

I used dmd 1.028 on win32 and linux.

It block with the -g option.

It shows 2× ready without the -g option.

04/08/08 16:42:09 changed by larsivi

  • owner changed from kris to larsivi.
  • status changed from new to assigned.
  • keywords set to dmd vtable external.
  • milestone changed from 0.99.6 to External Bugs.

04/10/08 09:29:54 changed by keinfarbton

A possible workaround is to make View.duplicate return type View!(T).

05/11/08 09:24:18 changed by larsivi

  • status changed from assigned to closed.
  • resolution set to fixed.
  • milestone changed from External Bugs to 0.99.7.

Bugzilla 1978 is closed.